<?php
    session_start();
    if($_SESSION['logged'] != true)
        exit("<center>Please Login first<br><a href='../pb-admin.php' class='btn btn-danger'>Login</button></center>");
    require("../php/db_login.php");

?>
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Control Panel</title>
    <link rel="icon" href="../images/logos/tab_icon.jpg">

    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/css/bootstrap.min.css" integrity="sha384-Gn5384xqQ1aoWXA+058RXPxPg6fy4IWvTNh0E263XmFcJlSAwiGgFAW/dAiS6JXm" crossorigin="anonymous">
    <link rel="stylesheet" href="alt_php/styles.css">
</head>
<body>
    <?php
        $active = "alt_uploads";
        include("alt_php/navbar.php");
    ?>

<form action='' method='POST' enctype = "multipart/form-data">
    <div class="container mt-5">
        <div class="row mb-5">
            <div class="col-12 text-center">
                <h1>Upload Files for Users</h1>
            </div>
        </div>

        <div class="row">
            <div class="col-12 col-lg-6">
                <h4>Select User</h4>
                    <?php
                        $sql = "SELECT * FROM client_login where 1";
                        $result = $conn -> query($sql);
    
                        if($result -> num_rows > 0) {
                            echo "
                            <div class='form-group'>
                            <select class='form-control' name='user_select' required>
                            <option value=''>None Selected</option>
                            ";
                            while ($row = $result -> fetch_assoc()) {
                                echo "<option value='". $row['email_id'] . "'>" . $row['email_id'] . " - " . $row['phone'] . "</option>";
                            }
                            echo "
                            </select>
                            </div>
                            ";
                        }
                    ?>
            </div>
        </div>
                        <hr>
        <div class="row">
            <div class="col-12 col-lg-9">
                <h4>Upload Files<small> (All files must have different names)</small></h4>
            </div>
        </div>

        <?php for($i = 1; $i <= 24; $i++) {?>
        <div class="row mt-4">
            <div class="col-12 col-lg-6">
                <p class="mb-0">File <?php echo $i; ?></p>
                <input type="file" class="form-control my-2" name="file<?php echo $i; ?>">
            </div>
            <div class="col-12 col-lg-3">
                <p class="mb-0">File <?php echo $i; ?> End Date</p>
                <input type="date" class="form-control my-2" name="date<?php echo $i; ?>">
            </div>
        </div>
        <?php } ?>
            

        <div class="row">
            <div class="col-12 col-lg-6">
                <small>* Size limit - 2MB</small>
                <input type = "submit" class="form-control btn btn-success my-2" name="upload" value="Upload">
            </div>
        </div>

    </div>
</form>

<form method="POST">
    <div class="container mt-5">
        <div class="row">
            <div class="col-12 text-center">
                <h1>Delete files</h1>
            </div>
        </div>

        <div class="row">
            <div class="col-12 col-lg-6">
                <h4>Select User</h4>
                    <?php
                        $sql = "SELECT id, mail FROM user_downloads where 1";
                        $result = $conn -> query($sql);
    
                        if($result -> num_rows > 0) {
                            echo "
                            <div class='form-group'>
                            <select class='form-control' name='del_select'>
                            <option value=''>None Selected</option>
                            ";
                            while ($row = $result -> fetch_assoc()) {
                                echo "<option value='". $row['mail'] . "'>" . $row['mail'] . " - " . $row['phone'] . "</option>";
                            }
                            echo "
                            </select>
                            </div>
                            ";
                        }
                    ?>
            </div>
        </div>
        <div class="row">
            <div class="col-12 col-lg-6">
                <input type = "submit" class="form-control btn btn-danger my-2" name="delete" value="Delete">
            </div>
        </div>


    </div>
</form>

<?php
    if(isset($_POST['upload'])) {
        $user_mail = $_POST['user_select'];
        $date = array();
        $file_up = array();

        for($i = 1; $i <= 24; $i++)
        {   
            $var = "date" . $i;
            $test = $_POST[$var];
            if($test == "")
                $date[] = "";
            else
                $date[] = $test;
        }

        for($i = 1; $i <= 24; $i++)
        {   
             
            $file = "file" . $i;
            
            $errors = array();
            $file_name = $_FILES[$file]['name'];
            $file_size = $_FILES[$file]['size'];
            $file_tmp = $_FILES[$file]['tmp_name'];
            $file_type = $_FILES[$file]['type'];
            $file_ext = strtolower(end(explode('.',$_FILES[$file]['name'])));

            if($file_name == "")
                $file_up[] = "";

            else
            {
                $expensions= array("docx","pdf","doc");
            
                if(in_array($file_ext,$expensions)=== false){
                    $errors[]="This extension not allowed, please choose a DOCX, DOC or PDF file.";
                }
            
                if($file_size > 2097152) {
                    $errors[]='File size must be less than 2 MB';
                }
            
                if(empty($errors) == true) {
                    $file_up[$i-1] = $file_name;
                    $dir_path = "../users/" . $user_mail;
                    mkdir($dir_path);
                    $dir_path = $dir_path . "/";
                    move_uploaded_file($file_tmp, $dir_path . $file_name);


                    $sql = "INSERT INTO user_downloads (mail, plan1, plan1_end, plan2, plan2_end, plan3, plan3_end, plan4, plan4_end, plan5, plan5_end, plan6, plan6_end, plan7, plan7_end, plan8, plan8_end, plan9, plan9_end, plan10, plan10_end, plan11, plan11_end, plan12, plan12_end, plan13, plan13_end, plan14, plan14_end, plan15, plan15_end, plan16, plan16_end, plan17, plan17_end, plan18, plan18_end, plan19, plan19_end, plan20, plan20_end, plan21, plan21_end, plan22, plan22_end, plan23, plan23_end, plan24, plan24_end) VALUES ('$user_mail', '$file_up[0]', '$date[0]', '$file_up[1]', '$date[1]', '$file_up[2]', '$date[2]', '$file_up[3]', '$date[3]', '$file_up[4]', '$date[4]', '$file_up[5]', '$date[5]', '$file_up[6]', '$date[6]', '$file_up[7]', '$date[7]', '$file_up[8]', '$date[8]', '$file_up[9]', '$date[9]', '$file_up[10]', '$date[10]', '$file_up[11]', '$date[11]', '$file_up[12]', '$date[12]', '$file_up[13]', '$date[13]', '$file_up[14]', '$date[14]', '$file_up[15]', '$date[15]', '$file_up[16]', '$date[16]', '$file_up[17]', '$date[17]', '$file_up[18]', '$date[18]', '$file_up[19]', '$date[19]', '$file_up[20]', '$date[20]', '$file_up[21]', '$date[21]', '$file_up[22]', '$date[22]', '$file_up[23]', '$date[23]')";

                    if ($conn->query($sql) === TRUE) {
                        echo "
                        <script>
                            alert('Uploaded Successfully " . $user_mail . "');
                        </script>
                            ";
                        mail($user_mail, 'File Upload Status', "Your Plan files are uploaded to our server. Please login to your profile at - www.shikhamahajan.com to access your files." , 'From:info@shikhamahajan.com');

                        echo "
                        <script>
                            alert('Uploaded Successfully');
                            location.href = 'alt_uploads';
                        </script>
                            ";
                    }
                    else {
                        echo "<script>
                        location.href = '../oops.php';
                        </script>";
                    }
                }
                else {
                    print_r($errors);
                }
            }
        }
    }

    if(isset($_POST['delete'])) {
        $delete = $_POST['del_select'];
        
        if($delete == '')
            echo "
            <script>
                alert('Selection Empty');
                location.href = 'alt_uploads';
            </script>
                ";

        $sql = "DELETE FROM user_downloads WHERE mail = '$delete'";

        if ($conn->query($sql) === TRUE) {
            $delete_loc = "../users/" . $delete;
            if(array_map('unlink', glob($delete_loc . "/*.*"))) {
                unlink($delete_loc);
                echo "
                <script>
                    alert('Deleted Successfully');
                    location.href = 'alt_uploads';
                </script>
                    ";
            }

        }
        else {
            echo "<script>
                location.href = '../oops.php';
                </script>";
        }
    }
?>

    <footer class="footer text-white text-center bg-dark mt-5">
        <p class="mb-0 p-1">Control Panel, Designed &amp; Developed by <a target="_blank" href="hhtp://www.purplebyte.in" style="color: skyblue">Purple Byte Solutions</a></p>
    </footer>
        
    <script src="https://code.jquery.com/jquery-3.3.1.min.js" integrity="sha256-FgpCb/KJQlLNfOu91ta32o/NMZxltwRo8QtmkMRdAu8=" crossorigin="anonymous"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.12.9/umd/popper.min.js" integrity="sha384-ApNbgh9B+Y1QKtv3Rn7W3mgPxhU9K/ScQsAP7hUibX39j7fakFPskvXusvfa0b4Q" crossorigin="anonymous"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/js/bootstrap.min.js" integrity="sha384-JZR6Spejh4U02d8jOt6vLEHfe/JQGiRRSQQxSfFWpi1MquVdAyjUar5+76PVCmYl" crossorigin="anonymous"></script>
</body>
</html>