<?php
    session_start();

    if($_SESSION['entered'] != TRUE)
        exit("<center>Please Login first<br><a href='../index.php' class='btn btn-danger'>Login</button></center>");
    
    require("../php/db_login.php");

    if(isset($_POST['logout'])) {
        session_destroy();
        header("Location: ../index.php");
    }
?>

<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>User</title>
    <link rel="icon" href="../images/logos/tab_icon.jpg">

    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/css/bootstrap.min.css" integrity="sha384-Gn5384xqQ1aoWXA+058RXPxPg6fy4IWvTNh0E263XmFcJlSAwiGgFAW/dAiS6JXm" crossorigin="anonymous">
    <link href="https://maxcdn.bootstrapcdn.com/font-awesome/4.7.0/css/font-awesome.min.css" rel="stylesheet" integrity="sha384-wvfXpqpZZVQGK6TAh5PVlGOfQNHSoD2xbE+QkPxCAFlNEevoEH3Sl0sibVcOQVnN" crossorigin="anonymous">
    <link rel="stylesheet" href="../custom/bootstrap-social.css">
    <link rel="stylesheet" href="../custom/styles.css">
</head>
<body>
    <nav class="navbar navbar-expand-lg fixed-top navbar-dark py-0">
        <div class="container">
            <a class="navbar-brand" href="#">
                <img src="../images/logos/logo_400x200.jpg" style="height: 60px" alt="Shikha Mahajan Logo">
            </a>

            <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navigate">
                <i id="nav-toggle" class="fa fa-bars fa-lg fa-fw"></i>
            </button>

            <div class="collapse navbar-collapse" id="navigate">
                <ul class="mr-auto"></ul>
                <ul class="navbar-nav">
                    <li class="nav-item mx-2 py-2">
                        <form method="POST">
                            <input name="logout" type="submit" class="btn btn-light btn-block font-weight-bold" value="Log Out">
                        </form>
                    </li>
                </ul>
            </div>  
        </div>
    </nav>

    <div class="bg-dark">
        <div class="container">
            <div class="row">
                <div class="col-12 text-center text-white">
                    <small>Logged-in as <?php echo $_SESSION['user_mail'] ?></small> &emsp; &emsp;
                    <small>Your plan: <?php echo $_SESSION['plan'] ?></small>
                </div>
            </div>
        </div>
    </div>

    <div class="container mt-5">
        <div class="row">
            <div class="col-12">
                <?php
                    $mailid = $_SESSION['user_mail'];
                    $sql = "SELECT * FROM user_downloads where mail = '$mailid'";
                    $result = $conn -> query($sql);

                    if($result -> num_rows <= 0)
                        echo "Your Diet plan will be uploaded soon!";

                    else {
                        $row = $result -> fetch_assoc();

                        $today = date('Y-m-d');

                        $plan_add = array();
                        $plan_end = array();

                        for($i = 1; $i <= 24; $i++)
                        {
                            $plan_var = "plan" . $i;
                            $plan_x = $row[$plan_var];
                            if($plan_x == "")
                                $plan_add[] = "";
                            else
                                $plan_add[] = "../users/" . $mailid . "/" . $plan_x;


                            $end_var = "plan" . $i . "_end";
                            $plan_end[] = $row[$end_var];
                        }

                        if($today <= $plan_end[0])      //printing week 1
                            echo "<a href='../users/" . $plan_add[0] . "' download> File 1 </a>for " . $_SESSION['plan'] . " -  Valid upto: " . $plan_end[0] . "<br>";

                        elseif($today <= $plan_end[1] && $today > $plan_end[0]) {      //printing week 2
                            echo "<a href='../users/" . $plan_add[0] . "' download> File 1 </a>for " . $_SESSION['plan'] . " -  Valid upto: " . $plan_end[0] . "<br>";
                            echo "<a href='../users/" . $plan_add[1] . "' download> File 2 </a>for " . $_SESSION['plan'] . " -  Valid upto: " . $plan_end[1] . "<br>";

                        }

                        elseif($today <= $plan_end[2] && $today > $plan_end[1]) {      //printing week 3
                            echo "<a href='../users/" . $plan_add[0] . "' download> File 1 </a>for " . $_SESSION['plan'] . " -  Valid upto: " . $plan_end[0] . "<br>";
                            echo "<a href='../users/" . $plan_add[1] . "' download> File 2 </a>for " . $_SESSION['plan'] . " -  Valid upto: " . $plan_end[1] . "<br>";
                            echo "<a href='../users/" . $plan_add[2] . "' download> File 3 </a>for " . $_SESSION['plan'] . " -  Valid upto: " . $plan_end[2] . "<br>";
                        }

                        elseif($today <= $plan_end[3] && $today > $plan_end[2]) {      //printing week 4
                            echo "<a href='../users/" . $plan_add[0] . "' download> File 1 </a>for " . $_SESSION['plan'] . " -  Valid upto: " . $plan_end[0] . "<br>";
                            echo "<a href='../users/" . $plan_add[1] . "' download> File 2 </a>for " . $_SESSION['plan'] . " -  Valid upto: " . $plan_end[1] . "<br>";
                            echo "<a href='../users/" . $plan_add[2] . "' download> File 3 </a>for " . $_SESSION['plan'] . " -  Valid upto: " . $plan_end[2] . "<br>";
                            echo "<a href='../users/" . $plan_add[3] . "' download> File 4 </a>for " . $_SESSION['plan'] . " -  Valid upto: " . $plan_end[3] . "<br>";
                        }

                        elseif($today <= $plan_end[4] && $today > $plan_end[3]) {      //printing week 5
                            echo "<a href='../users/" . $plan_add[0] . "' download> File 1 </a>for " . $_SESSION['plan'] . " -  Valid upto: " . $plan_end[0] . "<br>";
                            echo "<a href='../users/" . $plan_add[1] . "' download> File 2 </a>for " . $_SESSION['plan'] . " -  Valid upto: " . $plan_end[1] . "<br>";
                            echo "<a href='../users/" . $plan_add[2] . "' download> File 3 </a>for " . $_SESSION['plan'] . " -  Valid upto: " . $plan_end[2] . "<br>";
                            echo "<a href='../users/" . $plan_add[3] . "' download> File 4 </a>for " . $_SESSION['plan'] . " -  Valid upto: " . $plan_end[3] . "<br>";
                            echo "<a href='../users/" . $plan_add[4] . "' download> File 5 </a>for " . $_SESSION['plan'] . " -  Valid upto: " . $plan_end[4] . "<br>";
                        }

                        elseif($today <= $plan_end[5] && $today > $plan_end[4]) {      //printing week 6
                            echo "<a href='../users/" . $plan_add[0] . "' download> File 1 </a>for " . $_SESSION['plan'] . " -  Valid upto: " . $plan_end[0] . "<br>";
                            echo "<a href='../users/" . $plan_add[1] . "' download> File 2 </a>for " . $_SESSION['plan'] . " -  Valid upto: " . $plan_end[1] . "<br>";
                            echo "<a href='../users/" . $plan_add[2] . "' download> File 3 </a>for " . $_SESSION['plan'] . " -  Valid upto: " . $plan_end[2] . "<br>";
                            echo "<a href='../users/" . $plan_add[3] . "' download> File 4 </a>for " . $_SESSION['plan'] . " -  Valid upto: " . $plan_end[3] . "<br>";
                            echo "<a href='../users/" . $plan_add[4] . "' download> File 5 </a>for " . $_SESSION['plan'] . " -  Valid upto: " . $plan_end[4] . "<br>";
                            echo "<a href='../users/" . $plan_add[5] . "' download> File 6 </a>for " . $_SESSION['plan'] . " -  Valid upto: " . $plan_end[5] . "<br>";
                        }

                        elseif($today <= $plan_end[6] && $today > $plan_end[5]) {      //printing week 7
                            echo "<a href='../users/" . $plan_add[0] . "' download> File 1 </a>for " . $_SESSION['plan'] . " -  Valid upto: " . $plan_end[0] . "<br>";
                            echo "<a href='../users/" . $plan_add[1] . "' download> File 2 </a>for " . $_SESSION['plan'] . " -  Valid upto: " . $plan_end[1] . "<br>";
                            echo "<a href='../users/" . $plan_add[2] . "' download> File 3 </a>for " . $_SESSION['plan'] . " -  Valid upto: " . $plan_end[2] . "<br>";
                            echo "<a href='../users/" . $plan_add[3] . "' download> File 4 </a>for " . $_SESSION['plan'] . " -  Valid upto: " . $plan_end[3] . "<br>";
                            echo "<a href='../users/" . $plan_add[4] . "' download> File 5 </a>for " . $_SESSION['plan'] . " -  Valid upto: " . $plan_end[4] . "<br>";
                            echo "<a href='../users/" . $plan_add[5] . "' download> File 6 </a>for " . $_SESSION['plan'] . " -  Valid upto: " . $plan_end[5] . "<br>";
                            echo "<a href='../users/" . $plan_add[6] . "' download> File 7 </a>for " . $_SESSION['plan'] . " -  Valid upto: " . $plan_end[6] . "<br>";
                        }

                        elseif($today <= $plan_end[7] && $today > $plan_end[6]) {      //printing week 8
                            echo "<a href='../users/" . $plan_add[0] . "' download> File 1 </a>for " . $_SESSION['plan'] . " -  Valid upto: " . $plan_end[0] . "<br>";
                            echo "<a href='../users/" . $plan_add[1] . "' download> File 2 </a>for " . $_SESSION['plan'] . " -  Valid upto: " . $plan_end[1] . "<br>";
                            echo "<a href='../users/" . $plan_add[2] . "' download> File 3 </a>for " . $_SESSION['plan'] . " -  Valid upto: " . $plan_end[2] . "<br>";
                            echo "<a href='../users/" . $plan_add[3] . "' download> File 4 </a>for " . $_SESSION['plan'] . " -  Valid upto: " . $plan_end[3] . "<br>";
                            echo "<a href='../users/" . $plan_add[4] . "' download> File 5 </a>for " . $_SESSION['plan'] . " -  Valid upto: " . $plan_end[4] . "<br>";
                            echo "<a href='../users/" . $plan_add[5] . "' download> File 6 </a>for " . $_SESSION['plan'] . " -  Valid upto: " . $plan_end[5] . "<br>";
                            echo "<a href='../users/" . $plan_add[6] . "' download> File 7 </a>for " . $_SESSION['plan'] . " -  Valid upto: " . $plan_end[6] . "<br>";
                            echo "<a href='../users/" . $plan_add[7] . "' download> File 8 </a>for " . $_SESSION['plan'] . " -  Valid upto: " . $plan_end[7] . "<br>";
                        }

                        elseif($today <= $plan_end[8] && $today > $plan_end[7]) {      //printing week 9
                            echo "<a href='../users/" . $plan_add[0] . "' download> File 1 </a>for " . $_SESSION['plan'] . " -  Valid upto: " . $plan_end[0] . "<br>";
                            echo "<a href='../users/" . $plan_add[1] . "' download> File 2 </a>for " . $_SESSION['plan'] . " -  Valid upto: " . $plan_end[1] . "<br>";
                            echo "<a href='../users/" . $plan_add[2] . "' download> File 3 </a>for " . $_SESSION['plan'] . " -  Valid upto: " . $plan_end[2] . "<br>";
                            echo "<a href='../users/" . $plan_add[3] . "' download> File 4 </a>for " . $_SESSION['plan'] . " -  Valid upto: " . $plan_end[3] . "<br>";
                            echo "<a href='../users/" . $plan_add[4] . "' download> File 5 </a>for " . $_SESSION['plan'] . " -  Valid upto: " . $plan_end[4] . "<br>";
                            echo "<a href='../users/" . $plan_add[5] . "' download> File 6 </a>for " . $_SESSION['plan'] . " -  Valid upto: " . $plan_end[5] . "<br>";
                            echo "<a href='../users/" . $plan_add[6] . "' download> File 7 </a>for " . $_SESSION['plan'] . " -  Valid upto: " . $plan_end[6] . "<br>";
                            echo "<a href='../users/" . $plan_add[7] . "' download> File 8 </a>for " . $_SESSION['plan'] . " -  Valid upto: " . $plan_end[7] . "<br>";
                            echo "<a href='../users/" . $plan_add[8] . "' download> File 9 </a>for " . $_SESSION['plan'] . " -  Valid upto: " . $plan_end[8] . "<br>";
                        }

                        elseif($today <= $plan_end[9] && $today > $plan_end[8]) {      //printing week 10
                            echo "<a href='../users/" . $plan_add[0] . "' download> File 1 </a>for " . $_SESSION['plan'] . " -  Valid upto: " . $plan_end[0] . "<br>";
                            echo "<a href='../users/" . $plan_add[1] . "' download> File 2 </a>for " . $_SESSION['plan'] . " -  Valid upto: " . $plan_end[1] . "<br>";
                            echo "<a href='../users/" . $plan_add[2] . "' download> File 3 </a>for " . $_SESSION['plan'] . " -  Valid upto: " . $plan_end[2] . "<br>";
                            echo "<a href='../users/" . $plan_add[3] . "' download> File 4 </a>for " . $_SESSION['plan'] . " -  Valid upto: " . $plan_end[3] . "<br>";
                            echo "<a href='../users/" . $plan_add[4] . "' download> File 5 </a>for " . $_SESSION['plan'] . " -  Valid upto: " . $plan_end[4] . "<br>";
                            echo "<a href='../users/" . $plan_add[5] . "' download> File 6 </a>for " . $_SESSION['plan'] . " -  Valid upto: " . $plan_end[5] . "<br>";
                            echo "<a href='../users/" . $plan_add[6] . "' download> File 7 </a>for " . $_SESSION['plan'] . " -  Valid upto: " . $plan_end[6] . "<br>";
                            echo "<a href='../users/" . $plan_add[7] . "' download> File 8 </a>for " . $_SESSION['plan'] . " -  Valid upto: " . $plan_end[7] . "<br>";
                            echo "<a href='../users/" . $plan_add[8] . "' download> File 9 </a>for " . $_SESSION['plan'] . " -  Valid upto: " . $plan_end[8] . "<br>";
                            echo "<a href='../users/" . $plan_add[9] . "' download> File 10 </a>for " . $_SESSION['plan'] . " -  Valid upto: " . $plan_end[9] . "<br>";
                        }

                        elseif($today <= $plan_end[10] && $today > $plan_end[9]) {      //printing week 11
                            echo "<a href='../users/" . $plan_add[0] . "' download> File 1 </a>for " . $_SESSION['plan'] . " -  Valid upto: " . $plan_end[0] . "<br>";
                            echo "<a href='../users/" . $plan_add[1] . "' download> File 2 </a>for " . $_SESSION['plan'] . " -  Valid upto: " . $plan_end[1] . "<br>";
                            echo "<a href='../users/" . $plan_add[2] . "' download> File 3 </a>for " . $_SESSION['plan'] . " -  Valid upto: " . $plan_end[2] . "<br>";
                            echo "<a href='../users/" . $plan_add[3] . "' download> File 4 </a>for " . $_SESSION['plan'] . " -  Valid upto: " . $plan_end[3] . "<br>";
                            echo "<a href='../users/" . $plan_add[4] . "' download> File 5 </a>for " . $_SESSION['plan'] . " -  Valid upto: " . $plan_end[4] . "<br>";
                            echo "<a href='../users/" . $plan_add[5] . "' download> File 6 </a>for " . $_SESSION['plan'] . " -  Valid upto: " . $plan_end[5] . "<br>";
                            echo "<a href='../users/" . $plan_add[6] . "' download> File 7 </a>for " . $_SESSION['plan'] . " -  Valid upto: " . $plan_end[6] . "<br>";
                            echo "<a href='../users/" . $plan_add[7] . "' download> File 8 </a>for " . $_SESSION['plan'] . " -  Valid upto: " . $plan_end[7] . "<br>";
                            echo "<a href='../users/" . $plan_add[8] . "' download> File 9 </a>for " . $_SESSION['plan'] . " -  Valid upto: " . $plan_end[8] . "<br>";
                            echo "<a href='../users/" . $plan_add[9] . "' download> File 10 </a>for " . $_SESSION['plan'] . " -  Valid upto: " . $plan_end[9] . "<br>";
                            echo "<a href='../users/" . $plan_add[10] . "' download> File 11 </a>for " . $_SESSION['plan'] . " -  Valid upto: " . $plan_end[10] . "<br>";
                        }

                        elseif($today <= $plan_end[11] && $today > $plan_end[10]) {      //printing week 12
                            echo "<a href='../users/" . $plan_add[0] . "' download> File 1 </a>for " . $_SESSION['plan'] . " -  Valid upto: " . $plan_end[0] . "<br>";
                            echo "<a href='../users/" . $plan_add[1] . "' download> File 2 </a>for " . $_SESSION['plan'] . " -  Valid upto: " . $plan_end[1] . "<br>";
                            echo "<a href='../users/" . $plan_add[2] . "' download> File 3 </a>for " . $_SESSION['plan'] . " -  Valid upto: " . $plan_end[2] . "<br>";
                            echo "<a href='../users/" . $plan_add[3] . "' download> File 4 </a>for " . $_SESSION['plan'] . " -  Valid upto: " . $plan_end[3] . "<br>";
                            echo "<a href='../users/" . $plan_add[4] . "' download> File 5 </a>for " . $_SESSION['plan'] . " -  Valid upto: " . $plan_end[4] . "<br>";
                            echo "<a href='../users/" . $plan_add[5] . "' download> File 6 </a>for " . $_SESSION['plan'] . " -  Valid upto: " . $plan_end[5] . "<br>";
                            echo "<a href='../users/" . $plan_add[6] . "' download> File 7 </a>for " . $_SESSION['plan'] . " -  Valid upto: " . $plan_end[6] . "<br>";
                            echo "<a href='../users/" . $plan_add[7] . "' download> File 8 </a>for " . $_SESSION['plan'] . " -  Valid upto: " . $plan_end[7] . "<br>";
                            echo "<a href='../users/" . $plan_add[8] . "' download> File 9 </a>for " . $_SESSION['plan'] . " -  Valid upto: " . $plan_end[8] . "<br>";
                            echo "<a href='../users/" . $plan_add[9] . "' download> File 10 </a>for " . $_SESSION['plan'] . " -  Valid upto: " . $plan_end[9] . "<br>";
                            echo "<a href='../users/" . $plan_add[10] . "' download> File 11 </a>for " . $_SESSION['plan'] . " -  Valid upto: " . $plan_end[10] . "<br>";
                            echo "<a href='../users/" . $plan_add[11] . "' download> File 12 </a>for " . $_SESSION['plan'] . " -  Valid upto: " . $plan_end[11] . "<br>";

                        }

                        elseif($today <= $plan_end[12] && $today > $plan_end[11]) {      //printing week 13
                            echo "<a href='../users/" . $plan_add[0] . "' download> File 1 </a>for " . $_SESSION['plan'] . " -  Valid upto: " . $plan_end[0] . "<br>";
                            echo "<a href='../users/" . $plan_add[1] . "' download> File 2 </a>for " . $_SESSION['plan'] . " -  Valid upto: " . $plan_end[1] . "<br>";
                            echo "<a href='../users/" . $plan_add[2] . "' download> File 3 </a>for " . $_SESSION['plan'] . " -  Valid upto: " . $plan_end[2] . "<br>";
                            echo "<a href='../users/" . $plan_add[3] . "' download> File 4 </a>for " . $_SESSION['plan'] . " -  Valid upto: " . $plan_end[3] . "<br>";
                            echo "<a href='../users/" . $plan_add[4] . "' download> File 5 </a>for " . $_SESSION['plan'] . " -  Valid upto: " . $plan_end[4] . "<br>";
                            echo "<a href='../users/" . $plan_add[5] . "' download> File 6 </a>for " . $_SESSION['plan'] . " -  Valid upto: " . $plan_end[5] . "<br>";
                            echo "<a href='../users/" . $plan_add[6] . "' download> File 7 </a>for " . $_SESSION['plan'] . " -  Valid upto: " . $plan_end[6] . "<br>";
                            echo "<a href='../users/" . $plan_add[7] . "' download> File 8 </a>for " . $_SESSION['plan'] . " -  Valid upto: " . $plan_end[7] . "<br>";
                            echo "<a href='../users/" . $plan_add[8] . "' download> File 9 </a>for " . $_SESSION['plan'] . " -  Valid upto: " . $plan_end[8] . "<br>";
                            echo "<a href='../users/" . $plan_add[9] . "' download> File 10 </a>for " . $_SESSION['plan'] . " -  Valid upto: " . $plan_end[9] . "<br>";
                            echo "<a href='../users/" . $plan_add[10] . "' download> File 11 </a>for " . $_SESSION['plan'] . " -  Valid upto: " . $plan_end[10] . "<br>";
                            echo "<a href='../users/" . $plan_add[11] . "' download> File 12 </a>for " . $_SESSION['plan'] . " -  Valid upto: " . $plan_end[11] . "<br>";
                            echo "<a href='../users/" . $plan_add[12] . "' download> File 13 </a>for " . $_SESSION['plan'] . " -  Valid upto: " . $plan_end[12] . "<br>";
                        }

                        elseif($today <= $plan_end[13] && $today > $plan_end[12]) {      //printing week 14
                            echo "<a href='../users/" . $plan_add[0] . "' download> File 1 </a>for " . $_SESSION['plan'] . " -  Valid upto: " . $plan_end[0] . "<br>";
                            echo "<a href='../users/" . $plan_add[1] . "' download> File 2 </a>for " . $_SESSION['plan'] . " -  Valid upto: " . $plan_end[1] . "<br>";
                            echo "<a href='../users/" . $plan_add[2] . "' download> File 3 </a>for " . $_SESSION['plan'] . " -  Valid upto: " . $plan_end[2] . "<br>";
                            echo "<a href='../users/" . $plan_add[3] . "' download> File 4 </a>for " . $_SESSION['plan'] . " -  Valid upto: " . $plan_end[3] . "<br>";
                            echo "<a href='../users/" . $plan_add[4] . "' download> File 5 </a>for " . $_SESSION['plan'] . " -  Valid upto: " . $plan_end[4] . "<br>";
                            echo "<a href='../users/" . $plan_add[5] . "' download> File 6 </a>for " . $_SESSION['plan'] . " -  Valid upto: " . $plan_end[5] . "<br>";
                            echo "<a href='../users/" . $plan_add[6] . "' download> File 7 </a>for " . $_SESSION['plan'] . " -  Valid upto: " . $plan_end[6] . "<br>";
                            echo "<a href='../users/" . $plan_add[7] . "' download> File 8 </a>for " . $_SESSION['plan'] . " -  Valid upto: " . $plan_end[7] . "<br>";
                            echo "<a href='../users/" . $plan_add[8] . "' download> File 9 </a>for " . $_SESSION['plan'] . " -  Valid upto: " . $plan_end[8] . "<br>";
                            echo "<a href='../users/" . $plan_add[9] . "' download> File 10 </a>for " . $_SESSION['plan'] . " -  Valid upto: " . $plan_end[9] . "<br>";
                            echo "<a href='../users/" . $plan_add[10] . "' download> File 11 </a>for " . $_SESSION['plan'] . " -  Valid upto: " . $plan_end[10] . "<br>";
                            echo "<a href='../users/" . $plan_add[11] . "' download> File 12 </a>for " . $_SESSION['plan'] . " -  Valid upto: " . $plan_end[11] . "<br>";
                            echo "<a href='../users/" . $plan_add[12] . "' download> File 13 </a>for " . $_SESSION['plan'] . " -  Valid upto: " . $plan_end[12] . "<br>";
                            echo "<a href='../users/" . $plan_add[13] . "' download> File 14 </a>for " . $_SESSION['plan'] . " -  Valid upto: " . $plan_end[13] . "<br>";
                        }

                        elseif($today <= $plan_end[14] && $today > $plan_end[13]) {      //printing week 15
                            echo "<a href='../users/" . $plan_add[0] . "' download> File 1 </a>for " . $_SESSION['plan'] . " -  Valid upto: " . $plan_end[0] . "<br>";
                            echo "<a href='../users/" . $plan_add[1] . "' download> File 2 </a>for " . $_SESSION['plan'] . " -  Valid upto: " . $plan_end[1] . "<br>";
                            echo "<a href='../users/" . $plan_add[2] . "' download> File 3 </a>for " . $_SESSION['plan'] . " -  Valid upto: " . $plan_end[2] . "<br>";
                            echo "<a href='../users/" . $plan_add[3] . "' download> File 4 </a>for " . $_SESSION['plan'] . " -  Valid upto: " . $plan_end[3] . "<br>";
                            echo "<a href='../users/" . $plan_add[4] . "' download> File 5 </a>for " . $_SESSION['plan'] . " -  Valid upto: " . $plan_end[4] . "<br>";
                            echo "<a href='../users/" . $plan_add[5] . "' download> File 6 </a>for " . $_SESSION['plan'] . " -  Valid upto: " . $plan_end[5] . "<br>";
                            echo "<a href='../users/" . $plan_add[6] . "' download> File 7 </a>for " . $_SESSION['plan'] . " -  Valid upto: " . $plan_end[6] . "<br>";
                            echo "<a href='../users/" . $plan_add[7] . "' download> File 8 </a>for " . $_SESSION['plan'] . " -  Valid upto: " . $plan_end[7] . "<br>";
                            echo "<a href='../users/" . $plan_add[8] . "' download> File 9 </a>for " . $_SESSION['plan'] . " -  Valid upto: " . $plan_end[8] . "<br>";
                            echo "<a href='../users/" . $plan_add[9] . "' download> File 10 </a>for " . $_SESSION['plan'] . " -  Valid upto: " . $plan_end[9] . "<br>";
                            echo "<a href='../users/" . $plan_add[10] . "' download> File 11 </a>for " . $_SESSION['plan'] . " -  Valid upto: " . $plan_end[10] . "<br>";
                            echo "<a href='../users/" . $plan_add[11] . "' download> File 12 </a>for " . $_SESSION['plan'] . " -  Valid upto: " . $plan_end[11] . "<br>";
                            echo "<a href='../users/" . $plan_add[12] . "' download> File 13 </a>for " . $_SESSION['plan'] . " -  Valid upto: " . $plan_end[12] . "<br>";
                            echo "<a href='../users/" . $plan_add[13] . "' download> File 14 </a>for " . $_SESSION['plan'] . " -  Valid upto: " . $plan_end[13] . "<br>";
                            echo "<a href='../users/" . $plan_add[14] . "' download> File 15 </a>for " . $_SESSION['plan'] . " -  Valid upto: " . $plan_end[14] . "<br>";
                        }

                        elseif($today <= $plan_end[15] && $today > $plan_end[14]) {      //printing week 16
                            echo "<a href='../users/" . $plan_add[0] . "' download> File 1 </a>for " . $_SESSION['plan'] . " -  Valid upto: " . $plan_end[0] . "<br>";
                            echo "<a href='../users/" . $plan_add[1] . "' download> File 2 </a>for " . $_SESSION['plan'] . " -  Valid upto: " . $plan_end[1] . "<br>";
                            echo "<a href='../users/" . $plan_add[2] . "' download> File 3 </a>for " . $_SESSION['plan'] . " -  Valid upto: " . $plan_end[2] . "<br>";
                            echo "<a href='../users/" . $plan_add[3] . "' download> File 4 </a>for " . $_SESSION['plan'] . " -  Valid upto: " . $plan_end[3] . "<br>";
                            echo "<a href='../users/" . $plan_add[4] . "' download> File 5 </a>for " . $_SESSION['plan'] . " -  Valid upto: " . $plan_end[4] . "<br>";
                            echo "<a href='../users/" . $plan_add[5] . "' download> File 6 </a>for " . $_SESSION['plan'] . " -  Valid upto: " . $plan_end[5] . "<br>";
                            echo "<a href='../users/" . $plan_add[6] . "' download> File 7 </a>for " . $_SESSION['plan'] . " -  Valid upto: " . $plan_end[6] . "<br>";
                            echo "<a href='../users/" . $plan_add[7] . "' download> File 8 </a>for " . $_SESSION['plan'] . " -  Valid upto: " . $plan_end[7] . "<br>";
                            echo "<a href='../users/" . $plan_add[8] . "' download> File 9 </a>for " . $_SESSION['plan'] . " -  Valid upto: " . $plan_end[8] . "<br>";
                            echo "<a href='../users/" . $plan_add[9] . "' download> File 10 </a>for " . $_SESSION['plan'] . " -  Valid upto: " . $plan_end[9] . "<br>";
                            echo "<a href='../users/" . $plan_add[10] . "' download> File 11 </a>for " . $_SESSION['plan'] . " -  Valid upto: " . $plan_end[10] . "<br>";
                            echo "<a href='../users/" . $plan_add[11] . "' download> File 12 </a>for " . $_SESSION['plan'] . " -  Valid upto: " . $plan_end[11] . "<br>";
                            echo "<a href='../users/" . $plan_add[12] . "' download> File 13 </a>for " . $_SESSION['plan'] . " -  Valid upto: " . $plan_end[12] . "<br>";
                            echo "<a href='../users/" . $plan_add[13] . "' download> File 14 </a>for " . $_SESSION['plan'] . " -  Valid upto: " . $plan_end[13] . "<br>";
                            echo "<a href='../users/" . $plan_add[14] . "' download> File 15 </a>for " . $_SESSION['plan'] . " -  Valid upto: " . $plan_end[14] . "<br>";
                            echo "<a href='../users/" . $plan_add[15] . "' download> File 16 </a>for " . $_SESSION['plan'] . " -  Valid upto: " . $plan_end[15] . "<br>";

                        }

                        elseif($today <= $plan_end[16] && $today > $plan_end[15]) {      //printing week 17
                            echo "<a href='../users/" . $plan_add[0] . "' download> File 1 </a>for " . $_SESSION['plan'] . " -  Valid upto: " . $plan_end[0] . "<br>";
                            echo "<a href='../users/" . $plan_add[1] . "' download> File 2 </a>for " . $_SESSION['plan'] . " -  Valid upto: " . $plan_end[1] . "<br>";
                            echo "<a href='../users/" . $plan_add[2] . "' download> File 3 </a>for " . $_SESSION['plan'] . " -  Valid upto: " . $plan_end[2] . "<br>";
                            echo "<a href='../users/" . $plan_add[3] . "' download> File 4 </a>for " . $_SESSION['plan'] . " -  Valid upto: " . $plan_end[3] . "<br>";
                            echo "<a href='../users/" . $plan_add[4] . "' download> File 5 </a>for " . $_SESSION['plan'] . " -  Valid upto: " . $plan_end[4] . "<br>";
                            echo "<a href='../users/" . $plan_add[5] . "' download> File 6 </a>for " . $_SESSION['plan'] . " -  Valid upto: " . $plan_end[5] . "<br>";
                            echo "<a href='../users/" . $plan_add[6] . "' download> File 7 </a>for " . $_SESSION['plan'] . " -  Valid upto: " . $plan_end[6] . "<br>";
                            echo "<a href='../users/" . $plan_add[7] . "' download> File 8 </a>for " . $_SESSION['plan'] . " -  Valid upto: " . $plan_end[7] . "<br>";
                            echo "<a href='../users/" . $plan_add[8] . "' download> File 9 </a>for " . $_SESSION['plan'] . " -  Valid upto: " . $plan_end[8] . "<br>";
                            echo "<a href='../users/" . $plan_add[9] . "' download> File 10 </a>for " . $_SESSION['plan'] . " -  Valid upto: " . $plan_end[9] . "<br>";
                            echo "<a href='../users/" . $plan_add[10] . "' download> File 11 </a>for " . $_SESSION['plan'] . " -  Valid upto: " . $plan_end[10] . "<br>";
                            echo "<a href='../users/" . $plan_add[11] . "' download> File 12 </a>for " . $_SESSION['plan'] . " -  Valid upto: " . $plan_end[11] . "<br>";
                            echo "<a href='../users/" . $plan_add[12] . "' download> File 13 </a>for " . $_SESSION['plan'] . " -  Valid upto: " . $plan_end[12] . "<br>";
                            echo "<a href='../users/" . $plan_add[13] . "' download> File 14 </a>for " . $_SESSION['plan'] . " -  Valid upto: " . $plan_end[13] . "<br>";
                            echo "<a href='../users/" . $plan_add[14] . "' download> File 15 </a>for " . $_SESSION['plan'] . " -  Valid upto: " . $plan_end[14] . "<br>";
                            echo "<a href='../users/" . $plan_add[15] . "' download> File 16 </a>for " . $_SESSION['plan'] . " -  Valid upto: " . $plan_end[15] . "<br>";
                            echo "<a href='../users/" . $plan_add[16] . "' download> File 17 </a>for " . $_SESSION['plan'] . " -  Valid upto: " . $plan_end[16] . "<br>";
                        }

                        elseif($today <= $plan_end[17] && $today > $plan_end[16]) {      //printing week 18
                            echo "<a href='../users/" . $plan_add[0] . "' download> File 1 </a>for " . $_SESSION['plan'] . " -  Valid upto: " . $plan_end[0] . "<br>";
                            echo "<a href='../users/" . $plan_add[1] . "' download> File 2 </a>for " . $_SESSION['plan'] . " -  Valid upto: " . $plan_end[1] . "<br>";
                            echo "<a href='../users/" . $plan_add[2] . "' download> File 3 </a>for " . $_SESSION['plan'] . " -  Valid upto: " . $plan_end[2] . "<br>";
                            echo "<a href='../users/" . $plan_add[3] . "' download> File 4 </a>for " . $_SESSION['plan'] . " -  Valid upto: " . $plan_end[3] . "<br>";
                            echo "<a href='../users/" . $plan_add[4] . "' download> File 5 </a>for " . $_SESSION['plan'] . " -  Valid upto: " . $plan_end[4] . "<br>";
                            echo "<a href='../users/" . $plan_add[5] . "' download> File 6 </a>for " . $_SESSION['plan'] . " -  Valid upto: " . $plan_end[5] . "<br>";
                            echo "<a href='../users/" . $plan_add[6] . "' download> File 7 </a>for " . $_SESSION['plan'] . " -  Valid upto: " . $plan_end[6] . "<br>";
                            echo "<a href='../users/" . $plan_add[7] . "' download> File 8 </a>for " . $_SESSION['plan'] . " -  Valid upto: " . $plan_end[7] . "<br>";
                            echo "<a href='../users/" . $plan_add[8] . "' download> File 9 </a>for " . $_SESSION['plan'] . " -  Valid upto: " . $plan_end[8] . "<br>";
                            echo "<a href='../users/" . $plan_add[9] . "' download> File 10 </a>for " . $_SESSION['plan'] . " -  Valid upto: " . $plan_end[9] . "<br>";
                            echo "<a href='../users/" . $plan_add[10] . "' download> File 11 </a>for " . $_SESSION['plan'] . " -  Valid upto: " . $plan_end[10] . "<br>";
                            echo "<a href='../users/" . $plan_add[11] . "' download> File 12 </a>for " . $_SESSION['plan'] . " -  Valid upto: " . $plan_end[11] . "<br>";
                            echo "<a href='../users/" . $plan_add[12] . "' download> File 13 </a>for " . $_SESSION['plan'] . " -  Valid upto: " . $plan_end[12] . "<br>";
                            echo "<a href='../users/" . $plan_add[13] . "' download> File 14 </a>for " . $_SESSION['plan'] . " -  Valid upto: " . $plan_end[13] . "<br>";
                            echo "<a href='../users/" . $plan_add[14] . "' download> File 15 </a>for " . $_SESSION['plan'] . " -  Valid upto: " . $plan_end[14] . "<br>";
                            echo "<a href='../users/" . $plan_add[15] . "' download> File 16 </a>for " . $_SESSION['plan'] . " -  Valid upto: " . $plan_end[15] . "<br>";
                            echo "<a href='../users/" . $plan_add[16] . "' download> File 17 </a>for " . $_SESSION['plan'] . " -  Valid upto: " . $plan_end[16] . "<br>";
                            echo "<a href='../users/" . $plan_add[17] . "' download> File 18 </a>for " . $_SESSION['plan'] . " -  Valid upto: " . $plan_end[17] . "<br>";
                        }

                        elseif($today <= $plan_end[18] && $today > $plan_end[17]) {      //printing week 19
                            echo "<a href='../users/" . $plan_add[0] . "' download> File 1 </a>for " . $_SESSION['plan'] . " -  Valid upto: " . $plan_end[0] . "<br>";
                            echo "<a href='../users/" . $plan_add[1] . "' download> File 2 </a>for " . $_SESSION['plan'] . " -  Valid upto: " . $plan_end[1] . "<br>";
                            echo "<a href='../users/" . $plan_add[2] . "' download> File 3 </a>for " . $_SESSION['plan'] . " -  Valid upto: " . $plan_end[2] . "<br>";
                            echo "<a href='../users/" . $plan_add[3] . "' download> File 4 </a>for " . $_SESSION['plan'] . " -  Valid upto: " . $plan_end[3] . "<br>";
                            echo "<a href='../users/" . $plan_add[4] . "' download> File 5 </a>for " . $_SESSION['plan'] . " -  Valid upto: " . $plan_end[4] . "<br>";
                            echo "<a href='../users/" . $plan_add[5] . "' download> File 6 </a>for " . $_SESSION['plan'] . " -  Valid upto: " . $plan_end[5] . "<br>";
                            echo "<a href='../users/" . $plan_add[6] . "' download> File 7 </a>for " . $_SESSION['plan'] . " -  Valid upto: " . $plan_end[6] . "<br>";
                            echo "<a href='../users/" . $plan_add[7] . "' download> File 8 </a>for " . $_SESSION['plan'] . " -  Valid upto: " . $plan_end[7] . "<br>";
                            echo "<a href='../users/" . $plan_add[8] . "' download> File 9 </a>for " . $_SESSION['plan'] . " -  Valid upto: " . $plan_end[8] . "<br>";
                            echo "<a href='../users/" . $plan_add[9] . "' download> File 10 </a>for " . $_SESSION['plan'] . " -  Valid upto: " . $plan_end[9] . "<br>";
                            echo "<a href='../users/" . $plan_add[10] . "' download> File 11 </a>for " . $_SESSION['plan'] . " -  Valid upto: " . $plan_end[10] . "<br>";
                            echo "<a href='../users/" . $plan_add[11] . "' download> File 12 </a>for " . $_SESSION['plan'] . " -  Valid upto: " . $plan_end[11] . "<br>";
                            echo "<a href='../users/" . $plan_add[12] . "' download> File 13 </a>for " . $_SESSION['plan'] . " -  Valid upto: " . $plan_end[12] . "<br>";
                            echo "<a href='../users/" . $plan_add[13] . "' download> File 14 </a>for " . $_SESSION['plan'] . " -  Valid upto: " . $plan_end[13] . "<br>";
                            echo "<a href='../users/" . $plan_add[14] . "' download> File 15 </a>for " . $_SESSION['plan'] . " -  Valid upto: " . $plan_end[14] . "<br>";
                            echo "<a href='../users/" . $plan_add[15] . "' download> File 16 </a>for " . $_SESSION['plan'] . " -  Valid upto: " . $plan_end[15] . "<br>";
                            echo "<a href='../users/" . $plan_add[16] . "' download> File 17 </a>for " . $_SESSION['plan'] . " -  Valid upto: " . $plan_end[16] . "<br>";
                            echo "<a href='../users/" . $plan_add[17] . "' download> File 18 </a>for " . $_SESSION['plan'] . " -  Valid upto: " . $plan_end[17] . "<br>";
                            echo "<a href='../users/" . $plan_add[18] . "' download> File 19 </a>for " . $_SESSION['plan'] . " -  Valid upto: " . $plan_end[18] . "<br>";
                        }

                        elseif($today <= $plan_end[19] && $today > $plan_end[18]) {      //printing week 20
                            echo "<a href='../users/" . $plan_add[0] . "' download> File 1 </a>for " . $_SESSION['plan'] . " -  Valid upto: " . $plan_end[0] . "<br>";
                            echo "<a href='../users/" . $plan_add[1] . "' download> File 2 </a>for " . $_SESSION['plan'] . " -  Valid upto: " . $plan_end[1] . "<br>";
                            echo "<a href='../users/" . $plan_add[2] . "' download> File 3 </a>for " . $_SESSION['plan'] . " -  Valid upto: " . $plan_end[2] . "<br>";
                            echo "<a href='../users/" . $plan_add[3] . "' download> File 4 </a>for " . $_SESSION['plan'] . " -  Valid upto: " . $plan_end[3] . "<br>";
                            echo "<a href='../users/" . $plan_add[4] . "' download> File 5 </a>for " . $_SESSION['plan'] . " -  Valid upto: " . $plan_end[4] . "<br>";
                            echo "<a href='../users/" . $plan_add[5] . "' download> File 6 </a>for " . $_SESSION['plan'] . " -  Valid upto: " . $plan_end[5] . "<br>";
                            echo "<a href='../users/" . $plan_add[6] . "' download> File 7 </a>for " . $_SESSION['plan'] . " -  Valid upto: " . $plan_end[6] . "<br>";
                            echo "<a href='../users/" . $plan_add[7] . "' download> File 8 </a>for " . $_SESSION['plan'] . " -  Valid upto: " . $plan_end[7] . "<br>";
                            echo "<a href='../users/" . $plan_add[8] . "' download> File 9 </a>for " . $_SESSION['plan'] . " -  Valid upto: " . $plan_end[8] . "<br>";
                            echo "<a href='../users/" . $plan_add[9] . "' download> File 10 </a>for " . $_SESSION['plan'] . " -  Valid upto: " . $plan_end[9] . "<br>";
                            echo "<a href='../users/" . $plan_add[10] . "' download> File 11 </a>for " . $_SESSION['plan'] . " -  Valid upto: " . $plan_end[10] . "<br>";
                            echo "<a href='../users/" . $plan_add[11] . "' download> File 12 </a>for " . $_SESSION['plan'] . " -  Valid upto: " . $plan_end[11] . "<br>";
                            echo "<a href='../users/" . $plan_add[12] . "' download> File 13 </a>for " . $_SESSION['plan'] . " -  Valid upto: " . $plan_end[12] . "<br>";
                            echo "<a href='../users/" . $plan_add[13] . "' download> File 14 </a>for " . $_SESSION['plan'] . " -  Valid upto: " . $plan_end[13] . "<br>";
                            echo "<a href='../users/" . $plan_add[14] . "' download> File 15 </a>for " . $_SESSION['plan'] . " -  Valid upto: " . $plan_end[14] . "<br>";
                            echo "<a href='../users/" . $plan_add[15] . "' download> File 16 </a>for " . $_SESSION['plan'] . " -  Valid upto: " . $plan_end[15] . "<br>";
                            echo "<a href='../users/" . $plan_add[16] . "' download> File 17 </a>for " . $_SESSION['plan'] . " -  Valid upto: " . $plan_end[16] . "<br>";
                            echo "<a href='../users/" . $plan_add[17] . "' download> File 18 </a>for " . $_SESSION['plan'] . " -  Valid upto: " . $plan_end[17] . "<br>";
                            echo "<a href='../users/" . $plan_add[18] . "' download> File 19 </a>for " . $_SESSION['plan'] . " -  Valid upto: " . $plan_end[18] . "<br>";
                            echo "<a href='../users/" . $plan_add[19] . "' download> File 20 </a>for " . $_SESSION['plan'] . " -  Valid upto: " . $plan_end[19] . "<br>";
                        }

                        elseif($today <= $plan_end[20] && $today > $plan_end[19]) {      //printing week 21
                            echo "<a href='../users/" . $plan_add[0] . "' download> File 1 </a>for " . $_SESSION['plan'] . " -  Valid upto: " . $plan_end[0] . "<br>";
                            echo "<a href='../users/" . $plan_add[1] . "' download> File 2 </a>for " . $_SESSION['plan'] . " -  Valid upto: " . $plan_end[1] . "<br>";
                            echo "<a href='../users/" . $plan_add[2] . "' download> File 3 </a>for " . $_SESSION['plan'] . " -  Valid upto: " . $plan_end[2] . "<br>";
                            echo "<a href='../users/" . $plan_add[3] . "' download> File 4 </a>for " . $_SESSION['plan'] . " -  Valid upto: " . $plan_end[3] . "<br>";
                            echo "<a href='../users/" . $plan_add[4] . "' download> File 5 </a>for " . $_SESSION['plan'] . " -  Valid upto: " . $plan_end[4] . "<br>";
                            echo "<a href='../users/" . $plan_add[5] . "' download> File 6 </a>for " . $_SESSION['plan'] . " -  Valid upto: " . $plan_end[5] . "<br>";
                            echo "<a href='../users/" . $plan_add[6] . "' download> File 7 </a>for " . $_SESSION['plan'] . " -  Valid upto: " . $plan_end[6] . "<br>";
                            echo "<a href='../users/" . $plan_add[7] . "' download> File 8 </a>for " . $_SESSION['plan'] . " -  Valid upto: " . $plan_end[7] . "<br>";
                            echo "<a href='../users/" . $plan_add[8] . "' download> File 9 </a>for " . $_SESSION['plan'] . " -  Valid upto: " . $plan_end[8] . "<br>";
                            echo "<a href='../users/" . $plan_add[9] . "' download> File 10 </a>for " . $_SESSION['plan'] . " -  Valid upto: " . $plan_end[9] . "<br>";
                            echo "<a href='../users/" . $plan_add[10] . "' download> File 11 </a>for " . $_SESSION['plan'] . " -  Valid upto: " . $plan_end[10] . "<br>";
                            echo "<a href='../users/" . $plan_add[11] . "' download> File 12 </a>for " . $_SESSION['plan'] . " -  Valid upto: " . $plan_end[11] . "<br>";
                            echo "<a href='../users/" . $plan_add[12] . "' download> File 13 </a>for " . $_SESSION['plan'] . " -  Valid upto: " . $plan_end[12] . "<br>";
                            echo "<a href='../users/" . $plan_add[13] . "' download> File 14 </a>for " . $_SESSION['plan'] . " -  Valid upto: " . $plan_end[13] . "<br>";
                            echo "<a href='../users/" . $plan_add[14] . "' download> File 15 </a>for " . $_SESSION['plan'] . " -  Valid upto: " . $plan_end[14] . "<br>";
                            echo "<a href='../users/" . $plan_add[15] . "' download> File 16 </a>for " . $_SESSION['plan'] . " -  Valid upto: " . $plan_end[15] . "<br>";
                            echo "<a href='../users/" . $plan_add[16] . "' download> File 17 </a>for " . $_SESSION['plan'] . " -  Valid upto: " . $plan_end[16] . "<br>";
                            echo "<a href='../users/" . $plan_add[17] . "' download> File 18 </a>for " . $_SESSION['plan'] . " -  Valid upto: " . $plan_end[17] . "<br>";
                            echo "<a href='../users/" . $plan_add[18] . "' download> File 19 </a>for " . $_SESSION['plan'] . " -  Valid upto: " . $plan_end[18] . "<br>";
                            echo "<a href='../users/" . $plan_add[19] . "' download> File 20 </a>for " . $_SESSION['plan'] . " -  Valid upto: " . $plan_end[19] . "<br>";
                            echo "<a href='../users/" . $plan_add[20] . "' download> File 21 </a>for " . $_SESSION['plan'] . " -  Valid upto: " . $plan_end[20] . "<br>";
                        }

                        elseif($today <= $plan_end[21] && $today > $plan_end[20]) {      //printing week 22
                            echo "<a href='../users/" . $plan_add[0] . "' download> File 1 </a>for " . $_SESSION['plan'] . " -  Valid upto: " . $plan_end[0] . "<br>";
                            echo "<a href='../users/" . $plan_add[1] . "' download> File 2 </a>for " . $_SESSION['plan'] . " -  Valid upto: " . $plan_end[1] . "<br>";
                            echo "<a href='../users/" . $plan_add[2] . "' download> File 3 </a>for " . $_SESSION['plan'] . " -  Valid upto: " . $plan_end[2] . "<br>";
                            echo "<a href='../users/" . $plan_add[3] . "' download> File 4 </a>for " . $_SESSION['plan'] . " -  Valid upto: " . $plan_end[3] . "<br>";
                            echo "<a href='../users/" . $plan_add[4] . "' download> File 5 </a>for " . $_SESSION['plan'] . " -  Valid upto: " . $plan_end[4] . "<br>";
                            echo "<a href='../users/" . $plan_add[5] . "' download> File 6 </a>for " . $_SESSION['plan'] . " -  Valid upto: " . $plan_end[5] . "<br>";
                            echo "<a href='../users/" . $plan_add[6] . "' download> File 7 </a>for " . $_SESSION['plan'] . " -  Valid upto: " . $plan_end[6] . "<br>";
                            echo "<a href='../users/" . $plan_add[7] . "' download> File 8 </a>for " . $_SESSION['plan'] . " -  Valid upto: " . $plan_end[7] . "<br>";
                            echo "<a href='../users/" . $plan_add[8] . "' download> File 9 </a>for " . $_SESSION['plan'] . " -  Valid upto: " . $plan_end[8] . "<br>";
                            echo "<a href='../users/" . $plan_add[9] . "' download> File 10 </a>for " . $_SESSION['plan'] . " -  Valid upto: " . $plan_end[9] . "<br>";
                            echo "<a href='../users/" . $plan_add[10] . "' download> File 11 </a>for " . $_SESSION['plan'] . " -  Valid upto: " . $plan_end[10] . "<br>";
                            echo "<a href='../users/" . $plan_add[11] . "' download> File 12 </a>for " . $_SESSION['plan'] . " -  Valid upto: " . $plan_end[11] . "<br>";
                            echo "<a href='../users/" . $plan_add[12] . "' download> File 13 </a>for " . $_SESSION['plan'] . " -  Valid upto: " . $plan_end[12] . "<br>";
                            echo "<a href='../users/" . $plan_add[13] . "' download> File 14 </a>for " . $_SESSION['plan'] . " -  Valid upto: " . $plan_end[13] . "<br>";
                            echo "<a href='../users/" . $plan_add[14] . "' download> File 15 </a>for " . $_SESSION['plan'] . " -  Valid upto: " . $plan_end[14] . "<br>";
                            echo "<a href='../users/" . $plan_add[15] . "' download> File 16 </a>for " . $_SESSION['plan'] . " -  Valid upto: " . $plan_end[15] . "<br>";
                            echo "<a href='../users/" . $plan_add[16] . "' download> File 17 </a>for " . $_SESSION['plan'] . " -  Valid upto: " . $plan_end[16] . "<br>";
                            echo "<a href='../users/" . $plan_add[17] . "' download> File 18 </a>for " . $_SESSION['plan'] . " -  Valid upto: " . $plan_end[17] . "<br>";
                            echo "<a href='../users/" . $plan_add[18] . "' download> File 19 </a>for " . $_SESSION['plan'] . " -  Valid upto: " . $plan_end[18] . "<br>";
                            echo "<a href='../users/" . $plan_add[19] . "' download> File 20 </a>for " . $_SESSION['plan'] . " -  Valid upto: " . $plan_end[19] . "<br>";
                            echo "<a href='../users/" . $plan_add[20] . "' download> File 21 </a>for " . $_SESSION['plan'] . " -  Valid upto: " . $plan_end[20] . "<br>";
                            echo "<a href='../users/" . $plan_add[21] . "' download> File 22 </a>for " . $_SESSION['plan'] . " -  Valid upto: " . $plan_end[21] . "<br>";
                        }

                        elseif($today <= $plan_end[22] && $today > $plan_end[21]) {      //printing week 23
                            echo "<a href='../users/" . $plan_add[0] . "' download> File 1 </a>for " . $_SESSION['plan'] . " -  Valid upto: " . $plan_end[0] . "<br>";
                            echo "<a href='../users/" . $plan_add[1] . "' download> File 2 </a>for " . $_SESSION['plan'] . " -  Valid upto: " . $plan_end[1] . "<br>";
                            echo "<a href='../users/" . $plan_add[2] . "' download> File 3 </a>for " . $_SESSION['plan'] . " -  Valid upto: " . $plan_end[2] . "<br>";
                            echo "<a href='../users/" . $plan_add[3] . "' download> File 4 </a>for " . $_SESSION['plan'] . " -  Valid upto: " . $plan_end[3] . "<br>";
                            echo "<a href='../users/" . $plan_add[4] . "' download> File 5 </a>for " . $_SESSION['plan'] . " -  Valid upto: " . $plan_end[4] . "<br>";
                            echo "<a href='../users/" . $plan_add[5] . "' download> File 6 </a>for " . $_SESSION['plan'] . " -  Valid upto: " . $plan_end[5] . "<br>";
                            echo "<a href='../users/" . $plan_add[6] . "' download> File 7 </a>for " . $_SESSION['plan'] . " -  Valid upto: " . $plan_end[6] . "<br>";
                            echo "<a href='../users/" . $plan_add[7] . "' download> File 8 </a>for " . $_SESSION['plan'] . " -  Valid upto: " . $plan_end[7] . "<br>";
                            echo "<a href='../users/" . $plan_add[8] . "' download> File 9 </a>for " . $_SESSION['plan'] . " -  Valid upto: " . $plan_end[8] . "<br>";
                            echo "<a href='../users/" . $plan_add[9] . "' download> File 10 </a>for " . $_SESSION['plan'] . " -  Valid upto: " . $plan_end[9] . "<br>";
                            echo "<a href='../users/" . $plan_add[10] . "' download> File 11 </a>for " . $_SESSION['plan'] . " -  Valid upto: " . $plan_end[10] . "<br>";
                            echo "<a href='../users/" . $plan_add[11] . "' download> File 12 </a>for " . $_SESSION['plan'] . " -  Valid upto: " . $plan_end[11] . "<br>";
                            echo "<a href='../users/" . $plan_add[12] . "' download> File 13 </a>for " . $_SESSION['plan'] . " -  Valid upto: " . $plan_end[12] . "<br>";
                            echo "<a href='../users/" . $plan_add[13] . "' download> File 14 </a>for " . $_SESSION['plan'] . " -  Valid upto: " . $plan_end[13] . "<br>";
                            echo "<a href='../users/" . $plan_add[14] . "' download> File 15 </a>for " . $_SESSION['plan'] . " -  Valid upto: " . $plan_end[14] . "<br>";
                            echo "<a href='../users/" . $plan_add[15] . "' download> File 16 </a>for " . $_SESSION['plan'] . " -  Valid upto: " . $plan_end[15] . "<br>";
                            echo "<a href='../users/" . $plan_add[16] . "' download> File 17 </a>for " . $_SESSION['plan'] . " -  Valid upto: " . $plan_end[16] . "<br>";
                            echo "<a href='../users/" . $plan_add[17] . "' download> File 18 </a>for " . $_SESSION['plan'] . " -  Valid upto: " . $plan_end[17] . "<br>";
                            echo "<a href='../users/" . $plan_add[18] . "' download> File 19 </a>for " . $_SESSION['plan'] . " -  Valid upto: " . $plan_end[18] . "<br>";
                            echo "<a href='../users/" . $plan_add[19] . "' download> File 20 </a>for " . $_SESSION['plan'] . " -  Valid upto: " . $plan_end[19] . "<br>";
                            echo "<a href='../users/" . $plan_add[20] . "' download> File 21 </a>for " . $_SESSION['plan'] . " -  Valid upto: " . $plan_end[20] . "<br>";
                            echo "<a href='../users/" . $plan_add[21] . "' download> File 22 </a>for " . $_SESSION['plan'] . " -  Valid upto: " . $plan_end[21] . "<br>";
                            echo "<a href='../users/" . $plan_add[22] . "' download> File 23 </a>for " . $_SESSION['plan'] . " -  Valid upto: " . $plan_end[22] . "<br>";
                        }

                        elseif($today <= $plan_end[23] && $today > $plan_end[22]) {      //printing week 24
                            echo "<a href='../users/" . $plan_add[0] . "' download> File 1 </a>for " . $_SESSION['plan'] . " -  Valid upto: " . $plan_end[0] . "<br>";
                            echo "<a href='../users/" . $plan_add[1] . "' download> File 2 </a>for " . $_SESSION['plan'] . " -  Valid upto: " . $plan_end[1] . "<br>";
                            echo "<a href='../users/" . $plan_add[2] . "' download> File 3 </a>for " . $_SESSION['plan'] . " -  Valid upto: " . $plan_end[2] . "<br>";
                            echo "<a href='../users/" . $plan_add[3] . "' download> File 4 </a>for " . $_SESSION['plan'] . " -  Valid upto: " . $plan_end[3] . "<br>";
                            echo "<a href='../users/" . $plan_add[4] . "' download> File 5 </a>for " . $_SESSION['plan'] . " -  Valid upto: " . $plan_end[4] . "<br>";
                            echo "<a href='../users/" . $plan_add[5] . "' download> File 6 </a>for " . $_SESSION['plan'] . " -  Valid upto: " . $plan_end[5] . "<br>";
                            echo "<a href='../users/" . $plan_add[6] . "' download> File 7 </a>for " . $_SESSION['plan'] . " -  Valid upto: " . $plan_end[6] . "<br>";
                            echo "<a href='../users/" . $plan_add[7] . "' download> File 8 </a>for " . $_SESSION['plan'] . " -  Valid upto: " . $plan_end[7] . "<br>";
                            echo "<a href='../users/" . $plan_add[8] . "' download> File 9 </a>for " . $_SESSION['plan'] . " -  Valid upto: " . $plan_end[8] . "<br>";
                            echo "<a href='../users/" . $plan_add[9] . "' download> File 10 </a>for " . $_SESSION['plan'] . " -  Valid upto: " . $plan_end[9] . "<br>";
                            echo "<a href='../users/" . $plan_add[10] . "' download> File 11 </a>for " . $_SESSION['plan'] . " -  Valid upto: " . $plan_end[10] . "<br>";
                            echo "<a href='../users/" . $plan_add[11] . "' download> File 12 </a>for " . $_SESSION['plan'] . " -  Valid upto: " . $plan_end[11] . "<br>";
                            echo "<a href='../users/" . $plan_add[12] . "' download> File 13 </a>for " . $_SESSION['plan'] . " -  Valid upto: " . $plan_end[12] . "<br>";
                            echo "<a href='../users/" . $plan_add[13] . "' download> File 14 </a>for " . $_SESSION['plan'] . " -  Valid upto: " . $plan_end[13] . "<br>";
                            echo "<a href='../users/" . $plan_add[14] . "' download> File 15 </a>for " . $_SESSION['plan'] . " -  Valid upto: " . $plan_end[14] . "<br>";
                            echo "<a href='../users/" . $plan_add[15] . "' download> File 16 </a>for " . $_SESSION['plan'] . " -  Valid upto: " . $plan_end[15] . "<br>";
                            echo "<a href='../users/" . $plan_add[16] . "' download> File 17 </a>for " . $_SESSION['plan'] . " -  Valid upto: " . $plan_end[16] . "<br>";
                            echo "<a href='../users/" . $plan_add[17] . "' download> File 18 </a>for " . $_SESSION['plan'] . " -  Valid upto: " . $plan_end[17] . "<br>";
                            echo "<a href='../users/" . $plan_add[18] . "' download> File 19 </a>for " . $_SESSION['plan'] . " -  Valid upto: " . $plan_end[18] . "<br>";
                            echo "<a href='../users/" . $plan_add[19] . "' download> File 20 </a>for " . $_SESSION['plan'] . " -  Valid upto: " . $plan_end[19] . "<br>";
                            echo "<a href='../users/" . $plan_add[20] . "' download> File 21 </a>for " . $_SESSION['plan'] . " -  Valid upto: " . $plan_end[20] . "<br>";
                            echo "<a href='../users/" . $plan_add[21] . "' download> File 22 </a>for " . $_SESSION['plan'] . " -  Valid upto: " . $plan_end[21] . "<br>";
                            echo "<a href='../users/" . $plan_add[22] . "' download> File 23 </a>for " . $_SESSION['plan'] . " -  Valid upto: " . $plan_end[22] . "<br>";
                            echo "<a href='../users/" . $plan_add[23] . "' download> File 24 </a>for " . $_SESSION['plan'] . " -  Valid upto: " . $plan_end[23] . "<br>";
                        }
                        
                    }
                ?>
            </div>
        </div>
    </div>