<?php session_start(); ?>
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Products &amp; Packages</title>
    <link rel="icon" href="images/logos/tab_icon.jpg">

    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/css/bootstrap.min.css" integrity="sha384-Gn5384xqQ1aoWXA+058RXPxPg6fy4IWvTNh0E263XmFcJlSAwiGgFAW/dAiS6JXm" crossorigin="anonymous">
    <link href="https://maxcdn.bootstrapcdn.com/font-awesome/4.7.0/css/font-awesome.min.css" rel="stylesheet" integrity="sha384-wvfXpqpZZVQGK6TAh5PVlGOfQNHSoD2xbE+QkPxCAFlNEevoEH3Sl0sibVcOQVnN" crossorigin="anonymous">
    <link rel="stylesheet" href="custom/bootstrap-social.css">
    <link rel="stylesheet" href="custom/styles.css">
</head>
<body>
    <?php
        $active = "packages";
        include("php/navbar.php");
    ?> 

    <div class="x-bg-style x-packages-hero-url" style="height: 60%">
        <div>
            <div class="x-hero-text text-white">
                <h1>Packages</h1>
            </div>
        </div>
    </div>

<?php
    require("php/db_login.php");


    $sql = "SELECT * FROM plans2 where 1";
    $result = $conn -> query($sql);

    if($result -> num_rows > 0) {
        $discount = "";      $dis_status = FALSE;
        $lqs = "SELECT * FROM discount WHERE 1";
        $tluser = $conn -> query($lqs);
        if($tluser -> num_rows == 1) {
            $wor = $tluser -> fetch_assoc();
            if($wor['disc_status'] == "live") {
                $today = date('Y-m-d');
                if($today <= $wor['end_date'] && $today >= $wor['starting_date']) {
                    $discount = $wor['dis_percent'];
                    $dis_status = TRUE;
                }
            }
        }
        
        echo "
        <div class='container my-5'>
        <div id='packAccordion' class='row'>";
        $flag = 'show';
            while ($row = $result -> fetch_assoc()) {
                echo "
                <div class='col-12 my-2'>
                <div class='card text-justify'>
                    <div class='card-header bg-dark'>
                        <a class='card-link btn-block text-white' data-toggle='collapse' href='#" . $row['id'] . "'>".
                            $row['plan']. "
                        </a>
                    </div>
        
                    <div id='" . $row['id'] . "' class='collapse " . $flag . "' data-parent='#packAccordion' style='border: 2px solid #999'>
                        <div class='card-body table-responsive'>
                            <table class='table table-hover table-condensed text-center'>
                                <tr>
                                    <th>Duration</th>
                                    <th>Price (Rs.)</th>
                                    <th>Checkout</th>
                                </tr>
                                <tr>
                                    <td>".$row['p1_dur']."</td>
                                    <td>";
                                    if($dis_status == TRUE)
                                        echo "<del class='text-danger'>" . $row['p1_price'] . ".00</del>&emsp;<ins class='font-weight-bold'>" . floor($row['p1_price'] * (100 - $discount) / 100) . ".00</ins>";
                                    else
                                        echo "<ins class='font-weight-bold'>" . $row['p1_price'] . ".00</ins>";
                                    
                                    echo "</td>
                                    <td><a href='payment/checkout.php?id=" . $row['id'] . "&cat=p1' class='btn btn-success'>Buy Now</a></td>
                                </tr>
                                <tr"; if($row['p2_dur'] == "") echo " class='d-none'"; echo ">
                                    <td>".$row['p2_dur']."</td>
                                    <td>";
                                    if($dis_status == TRUE)
                                        echo "<del class='text-danger'>" . $row['p2_price'] . ".00</del>&emsp;<ins class='font-weight-bold'>" . floor($row['p2_price'] * (100 - $discount) / 100) . ".00</ins>";
                                    else
                                        echo "<ins class='font-weight-bold'>" . $row['p2_price'] . ".00</ins>";
                                    
                                    echo "</td>
                                    <td><a href='payment/checkout.php?id=" . $row['id'] . "&cat=p2' class='btn btn-success '"; if($row['p2_dur'] == "") echo "d-none"; echo "'>Buy Now</a></td>
                                </tr>
                                <tr"; if($row['p3_dur'] == "") echo " class='d-none'"; echo ">
                                    <td>".$row['p3_dur']."</td>
                                    <td>";
                                    if($dis_status == TRUE)
                                        echo "<del class='text-danger'>" . $row['p3_price'] . ".00</del>&emsp;<ins class='font-weight-bold'>" . floor($row['p3_price'] * (100 - $discount) / 100) . ".00</ins>";
                                    else
                                        echo "<ins class='font-weight-bold'>" . $row['p3_price'] . ".00</ins>";
                                    
                                    echo "</td>
                                    <td><a href='payment/checkout.php?id=" . $row['id'] . "&cat=p3' class='btn btn-success '"; echo "'>Buy Now</a></td>
                                </tr>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
                ";
            $flag = '';
            }
        echo "
            </div>
            </div>
        ";
    }

    include("php/footer.php");
    ?>

    <script src="https://code.jquery.com/jquery-3.3.1.min.js" integrity="sha256-FgpCb/KJQlLNfOu91ta32o/NMZxltwRo8QtmkMRdAu8=" crossorigin="anonymous"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.12.9/umd/popper.min.js" integrity="sha384-ApNbgh9B+Y1QKtv3Rn7W3mgPxhU9K/ScQsAP7hUibX39j7fakFPskvXusvfa0b4Q" crossorigin="anonymous"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/js/bootstrap.min.js" integrity="sha384-JZR6Spejh4U02d8jOt6vLEHfe/JQGiRRSQQxSfFWpi1MquVdAyjUar5+76PVCmYl" crossorigin="anonymous"></script>
</body>
</html>